﻿using System.Threading.Tasks;
using Datory;
using GxPress.Common.Page;
using GxPress.Request.Media;
using GxPress.Result.Media;

namespace GxPress.Repository.Interface.Media
{
    public interface IMediaRepository : IRepository
    {
        Task<MediaResult> GetAsync(int id);
        Task<Entity.tede2.Media.Media> GetAsync(string autoNumber);
        /// <summary>
        /// 删除
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        Task<bool> DeleteAsync(int id);
        /// <summary>
        /// 添加媒体
        /// </summary>
        /// <param name="result"></param>
        /// <returns></returns>
        Task<bool> InsertAsync(MediaResult result);

        Task<bool> UpdateAsync(MediaResult result);
        Task<bool> UpdateAsync(SqlKata.Query query);

        Task<PagedList<Entity.tede2.Media.Media>> GetAllAsync(MediaSearchRequest request);
        Task<int> CountAsync(string beginTime, string endTiem);
        Task<int> CountAsync(SqlKata.Query query);
        /// <summary>
        /// 获取书籍
        /// </summary>
        /// <param name="mediaId"></param>
        /// <returns></returns>
        Task<BookMediaResult> GetBookMediaResultAsync(int mediaId);
        /// <summary>
        /// 获取书籍
        /// </summary>
        /// <param name="mediaId"></param>
        /// <returns></returns>
        Task<VideoMediaResult> GetVideoMediaResultAsync(int mediaId);
    }
}
